Package ru.bitel.common.model

# Class SearchResult<L>

java.lang.Object
ru.bitel.common.model.SearchResult<L>

public class SearchResult<L> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchResult()`
  `SearchResult(SearchParam searchParam)`
  `SearchResult(Page page)`
  `SearchResult(Page page, String[] sort)`
  `SearchResult(Period period, Page page)`
  `SearchResult(Period period, Page page, String[] sort)`
  `SearchResult(PeriodWithTime period, Page page)`
  `SearchResult(PeriodWithTime period, Page page, String[] sort)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttribute(String key)`
  `String[][]`
  `getAttributes()`
  `List<L>`
  `getList()`
  `Page`
  `getPage()`
  `Period`
  `getPeriod()`
  `PeriodWithTime`
  `getPeriodWithTime()`
  `String[]`
  `getSort()`
  `BigDecimal`
  `getSum()`
  `Optional<String>`
  `optAttribute(String key)`
  `Optional<Page>`
  `optPage()`
  `void`
  `setAttribute(String key, String value)`
  `SearchResult<L>`
  `setAttributes(String[][] attrs)`
  `SearchResult<L>`
  `setList(List<L> list)`
  `SearchResult<L>`
  `setPage(Page page)`
  `SearchResult<L>`
  `setPeriod(Period period)`
  `SearchResult<L>`
  `setPeriod(PeriodWithTime period)`
  `SearchResult<L>`
  `setSort(String[] sort)`
  `SearchResult<L>`
  `setSum(BigDecimal sum)`
  `protected PeriodWithTime`
  `toPeriodWithTime(Period period)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchResult

    public SearchResult()

  - ### SearchResult

    public SearchResult(SearchParam searchParam)

  - ### SearchResult

    public SearchResult(Page page)

  - ### SearchResult

    public SearchResult(Page page, String[] sort)

  - ### SearchResult

    public SearchResult(Period period, Page page)

  - ### SearchResult

    public SearchResult(Period period, Page page, String[] sort)

  - ### SearchResult

    public SearchResult(PeriodWithTime period, Page page)

  - ### SearchResult

    public SearchResult(PeriodWithTime period, Page page, String[] sort)

- ## Method Details

  - ### optPage

    public Optional<Page> optPage()

  - ### getPage

    public Page getPage()

  - ### setPage

    public SearchResult<L> setPage(Page page)

  - ### getPeriod

    public Period getPeriod()

  - ### getPeriodWithTime

    public PeriodWithTime getPeriodWithTime()

  - ### setPeriod

    public SearchResult<L> setPeriod(PeriodWithTime period)

  - ### setPeriod

    public SearchResult<L> setPeriod(Period period)

  - ### setList

    public SearchResult<L> setList(List<L> list)

  - ### getList

    public List<L> getList()

  - ### getSort

    public String[] getSort()

  - ### setSort

    public SearchResult<L> setSort(String[] sort)

  - ### setAttribute

    public void setAttribute(String key, String value)

  - ### optAttribute

    public Optional<String> optAttribute(String key)

  - ### getAttribute

    public String getAttribute(String key)

  - ### setAttributes

    public SearchResult<L> setAttributes(String[][] attrs)

  - ### getAttributes

    public String[][] getAttributes()

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public SearchResult<L> setSum(BigDecimal sum)

  - ### toPeriodWithTime

    protected PeriodWithTime toPeriodWithTime(Period period)